Package org.pushingpixels.flamingo.internal.ui.ribbon

# Class BandControlPanelUI

java.lang.Object
javax.swing.plaf.ComponentUI
javax.swing.plaf.PanelUI
org.pushingpixels.flamingo.internal.ui.ribbon.BandControlPanelUI

Direct Known Subclasses:
  `BasicBandControlPanelUI`, `BasicFlowBandControlPanelUI`

public abstract class BandControlPanelUI extends PanelUI
UI for control panel of ribbon band (`JBandControlPanel`).

## Constructor Summary

Constructors
Constructor
Description
`BandControlPanelUI()`

## Method Summary

Modifier and Type
Method
Description
`abstract int`
`getLayoutGap()`
Returns the layout gap for the controls in the associated control panel.

### Methods inherited from class javax.swing.plaf.ComponentUI

`contains, createUI, getAccessibleChild, getAccessibleChildrenCount, getBaseline, getBaselineResizeBehavior, getMaximumSize, getMinimumSize, getPreferredSize, installUI, paint, uninstallUI, update`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### BandControlPanelUI

public BandControlPanelUI()

## Method Details

### getLayoutGap

public abstract int getLayoutGap()
Returns the layout gap for the controls in the associated control panel.

Returns:
  The layout gap for the controls in the associated control panel.